/* $Id$ */

/** @file timetable_type.h Types related to time tabling. */

#ifndef TIMETABLE_TYPE_H
#define TIMETABLE_TYPE_H

#include "window_gui.h"

struct TimetableArrivalDeparture {
	Ticks          arrival;
	Ticks          departure;
	VehicleOrderID arr_id;
	VehicleOrderID dep_id;

	TimetableArrivalDeparture(Ticks arrival_ = INVALID_TICKS, Ticks departure_ = INVALID_TICKS,
	                          VehicleOrderID arr_id_ = INVALID_VEH_ORDER_ID, VehicleOrderID dep_id_ = INVALID_VEH_ORDER_ID)
		: arrival(arrival_), departure(departure_), arr_id(arr_id_), dep_id(dep_id_) { }
};

struct TimetableWindowBase : Window {
	VehicleID change_tt_veh;
	int change_tt_order;

	TimetableWindowBase(const WindowDesc *desc, WindowNumber window_number)
		: Window(desc, window_number), change_tt_veh(INVALID_VEHICLE), change_tt_order(-1) { }
};

#endif /* TIMETABLE_TYPE_H */
